{
    "type": "minecraft:crafting_shaped",
    "pattern": [
        "IRI",
        "STS",
        "IRI"
    ],
    "key": {
        "I": {
            "item": "minecraft:iron_block"
        },
        "R": {
            "item": "spore:circuit_board"
        },
        "S": {
            "item": "minecraft:slime_block"
        },
        "T": {
            "item": "minecraft:tnt"
        }
    },
    "result": {
        "id": "minecraft:knowledge_book",
        "count": 1
    }
}